#
#       Makefile for shtlib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= shtlib
LIBFSRCS	= shfftb.f shfftf.f shfg2w.f shfw2g.f shfwga.f shfwgj.f \
		  shfwgm.f shfwgz.f shinic.f shinif.f shinip.f shinir.f \
		  shinit.f shinix.f shiniy.f shiniz.f shlbwj.f shlbwl.f \
		  shlbwm.f shlbwu.f shlfwl.f shlfwm.f shlfwu.f shlsds.f \
		  shlssd.f shly2x.f shmdxj.f shmdxm.f shms2w.f shmsri.f \
		  shmswa.f shmswj.f shmswm.f shmswz.f shmw2s.f shmwjm.f \
		  shmwjz.f shnm2l.f sholap.f shpfun.f shppma.f shppmj.f \
		  shtlib.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= shfftb.o shfftf.o shfg2w.o shfw2g.o shfwga.o shfwgj.o \
		  shfwgm.o shfwgz.o shinic.o shinif.o shinip.o shinir.o \
		  shinit.o shinix.o shiniy.o shiniz.o shlbwj.o shlbwl.o \
		  shlbwm.o shlbwu.o shlfwl.o shlfwm.o shlfwu.o shlsds.o \
		  shlssd.o shly2x.o shmdxj.o shmdxm.o shms2w.o shmsri.o \
		  shmswa.o shmswj.o shmswm.o shmswz.o shmw2s.o shmwjm.o \
		  shmwjz.o shnm2l.o sholap.o shpfun.o shppma.o shppmj.o \
		  shtlib.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
